Bug 145814 - extend --autoscreenshot option to capture all the screens in anaconda
extend --autoscreenshot option to capture all the screens in anaconda
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: Desktop, FutureFeature
Depends On: 172891
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 16:03 EST by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 14:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-01-21 16:03:36 EST
Description of problem:
The --autoscreenshot option in the anaconda ks.cfg is a great option
to capture screenshots automatically during anaconda install without
any human interaction. However, at the moment, the --autoscreenshot
option is not able to capture all the screenshots in anaconda during
installation. Some pages such as the Disk Partitioning page is skipped. 

Is it possible to enhance the --autoscreenshot option so that all the
anaconda screenshots can be captured?

Version-Release number of selected component (if applicable):
NA

How reproducible:
Always

Steps to Reproduce:
1.Insert "autostep --autoscreenshot" into the anaconda kickstart file
2.
3.
  
Actual results:
At the moment, it captures 9 screenshots.

Expected results:
Capture all the screenshots for anaconda.

Additional info:
Comment 2 Jeremy Katz 2006-01-31 15:17:39 EST
The way forward with this is probably going to be taking advantage of dogtail. 
We have the beginnings of support in anaconda for being controlled by dogtail
now, but can't really go further without having dogtail included in the
distribution. 
Comment 5 Chris Lumens 2007-03-14 15:49:16 EDT
dmalcolm - I see there's a dogtail package in the rawhide tree.  Does this
contain everything we need to make this happen?
Comment 6 Jon Stanley 2008-05-10 01:30:53 EDT
Cab this proceed, or has this already been integrated?
Comment 7 Dave Malcolm 2008-05-12 10:26:34 EDT
Jeremy did some work on dogtail/anaconda integration; bouncing NEEDINFO over to
him...

Jeremy: do you know what the status of this is?
Comment 8 Jeremy Katz 2008-05-28 14:55:22 EDT
There's a separate bug tracking dogtail integration.  We're not going to extend
--autoscreenshot itself

Note You need to log in before you can comment on or make changes to this bug.